curl -X PATCH https://prod.api.unleeshed.ai/partner/v1/webhooks/whk_abc123 \
-H "X-Api-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"status": "paused"
}'
{
"success": true,
"data": {
"id": "whk_abc123",
"url": "https://your-domain.com/webhooks/unleeshed",
"events": ["creator.approved", "partner.approved", "commentary.failed"],
"status": "paused",
"consecutive_failures": 0,
"last_delivery_at": "2026-02-04T12:30:00Z",
"created_at": "2026-02-04T10:00:00Z",
"updated_at": "2026-02-04T15:00:00Z"
}
}
Webhooks
Update Webhook
Update webhook configuration
PATCH
/
partner
/
v1
/
webhooks
/
{id}
curl -X PATCH https://prod.api.unleeshed.ai/partner/v1/webhooks/whk_abc123 \
-H "X-Api-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"status": "paused"
}'
{
"success": true,
"data": {
"id": "whk_abc123",
"url": "https://your-domain.com/webhooks/unleeshed",
"events": ["creator.approved", "partner.approved", "commentary.failed"],
"status": "paused",
"consecutive_failures": 0,
"last_delivery_at": "2026-02-04T12:30:00Z",
"created_at": "2026-02-04T10:00:00Z",
"updated_at": "2026-02-04T15:00:00Z"
}
}
Update a webhook’s URL, events, or status.
Cannot change the webhook secret. Create a new webhook if you need a new secret.
Path Parameters
string
required
Webhook ID
Request Body
string
New HTTPS URL for the webhook
string[]
New event subscriptions
string
Set to
active or pausedcurl -X PATCH https://prod.api.unleeshed.ai/partner/v1/webhooks/whk_abc123 \
-H "X-Api-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"status": "paused"
}'
{
"success": true,
"data": {
"id": "whk_abc123",
"url": "https://your-domain.com/webhooks/unleeshed",
"events": ["creator.approved", "partner.approved", "commentary.failed"],
"status": "paused",
"consecutive_failures": 0,
"last_delivery_at": "2026-02-04T12:30:00Z",
"created_at": "2026-02-04T10:00:00Z",
"updated_at": "2026-02-04T15:00:00Z"
}
}